#include "X3D_TexturingCreator.h"
#include "X3D_ImageTexture.h"
#include "X3D_TextureCoordinate.h"
#include "X3D_TextureTransform.h"

namespace X3DTK {
namespace X3D {

TexturingCreator::TexturingCreator()
{
  defineComponentName("Texturing", "X3D");
  
  define(Recorder<ImageTexture>::getCreationFunction());
  define(Recorder<TextureCoordinate>::getCreationFunction());
  define(Recorder<TextureTransform>::getCreationFunction());
}

TexturingCreator::~TexturingCreator()
{
}

}
}
