#include "X3D_NurbsGroup.h"
#include "X3D_NurbsSurface.h"

#include <iostream>

using namespace std;

namespace X3DTK {
namespace X3D {

NurbsGroup::NurbsGroup()
: X3DGroupingNode(), X3DBoundedObject()
{
  define(Recorder<NurbsGroup>::getTypeName("NurbsGroup", "NURBS"));
  
  define(Recorder<NurbsGroup, SFFloat>::getAttribute("tesselationScale", &NurbsGroup::_tesselationScale, 1.0f));
}

NurbsGroup::~NurbsGroup()
{
}

void NurbsGroup::setTesselationScale(const SFFloat &tesselationScale)
{
  _tesselationScale = tesselationScale;
}

}
}
