#include "X3D_WorldCoordTranslatorMulCoreVisitor.h"
#include "X3D_X3DNode.h"

#include <iostream>

using namespace std;

namespace X3DTK {
namespace X3D {


WorldCoordTranslatorMulCoreVisitor::WorldCoordTranslatorMulCoreVisitor()
: CoreVisitor()
{
  // Enter functions.
  define(Recorder<X3DNode>::getEnterFunction(&WorldCoordTranslatorMulCoreVisitor::enterX3DNode));
  define(Recorder<X3DNode>::getLeaveFunction(&WorldCoordTranslatorMulCoreVisitor::leaveX3DNode));
}

void WorldCoordTranslatorMulCoreVisitor::enterX3DNode(X3DNode *N) 
{
  WorldCoordTranslatorStateVariables *stateVariables = Singleton<WorldCoordTranslatorStateVariables>::getInstance();
  stateVariables->pushNode(N);
}

void WorldCoordTranslatorMulCoreVisitor::leaveX3DNode(X3DNode *N) 
{
  WorldCoordTranslatorStateVariables *stateVariables = Singleton<WorldCoordTranslatorStateVariables>::getInstance();
  stateVariables->popNode();
}

}
}
