#include "X3D_LightingCreator.h"
#include "X3D_DirectionalLight.h"
#include "X3D_PointLight.h"
#include "X3D_SpotLight.h"

namespace X3DTK {
namespace X3D {

LightingCreator::LightingCreator()
{
  defineComponentName("Lighting", "X3D");

  define(Recorder<DirectionalLight>::getCreationFunction());
  define(Recorder<PointLight>::getCreationFunction());
  define(Recorder<SpotLight>::getCreationFunction());
}

LightingCreator::~LightingCreator()
{
}

}
}
