#include "X3D_CoordinateInterpolator.h"

#include <iostream>

using namespace std;

namespace X3DTK {
namespace X3D {

CoordinateInterpolator::CoordinateInterpolator()
: X3DInterpolatorNode()
{
  define(Recorder<CoordinateInterpolator>::getTypeName("CoordinateInterpolator", "Interpolation"));
  
  define(Recorder<CoordinateInterpolator, MFVec3f>::getAttribute("keyValue", &CoordinateInterpolator::_keyValue, MFVec3f()));
}

CoordinateInterpolator::~CoordinateInterpolator()
{
}

void CoordinateInterpolator::setKeyValue(const MFVec3f &keyValue)
{
  _keyValue = keyValue;
}

}
}
